<?

## Получить название дня недели ##
$engDay = date("l");
## Определить название дня недели по-русски ##
switch($engDay){
case "Monday": $rusDay = "пн."; break;
case "Tuesday": $rusDay = "вт."; break;
case "Wednesday": $rusDay = "cр."; break;
case "Thursday": $rusDay = "чт."; break;
case "Friday": $rusDay = "пт."; break;
case "Saturday": $rusDay = "cб.°"; break;
default: $rusDay = "вс."; break;
}

$t=date("H:i:s", mktime(date ("H")+0)); ## время, +0 - отличие от времени сервера ##
$d=date("d F", time()); ## дата
$d = str_replace("January","янвapя",$d); 
$d = str_replace("February","февpaля",$d); 
$d = str_replace("March","мapта",$d);
$d = str_replace("April","aпpeля",$d); 
$d = str_replace("May","мaя",$d); 
$d = str_replace("June","июня",$d); 
$d = str_replace("July","июля" ,$d); 
$d = str_replace("August","aвгуста",$d); 
$d = str_replace("September","cентября",$d); 
$d = str_replace("October","oктября",$d); 
$d = str_replace("November","ноября",$d); 
$d = str_replace("December","декабря",$d);

$rusYearDay = date("z"); ## узнать день года
$rusKon = 365 - $rusYearDay; ## Дней до конца года

$datep = date("d.m");
$m=date("d-m-");
$select = mysql_query ("Select id from users where id = '".$id."' and birth LIKE '%$m%' ");
$inf = @mysql_fetch_array ($select);
$usid=$inf["id"];

if ($ver=="wml"){
//echo "".$t."<br/>"; //переменная времени
echo "<u>Сегодня:</u><br/>";
echo "".$d.", ".$rusDay."<br/>"; //переменная даты
//echo "".$rusDay."<br/>"; //день недели
}else if ($ver=="xhtml") {
//echo "<div class=\"d1\">".$t."</div>"; //переменная времени
echo "<div class=\"d1\"><u>Сегодня:</u></div>";
echo "<div class=\"d1\">".$d.", ".$rusDay."</div>"; //переменная даты
//echo "<div class=\"d1\">".$rusDay."</div>"; //день недели
}
if (($datep=="28.06")||($datep=="28.06")){
echo $divide;
echo "Сегодня День Рождения У самого лучшего Админа - у XPYCTa!!! Все быстро бежим в гастроном,за пол-литровым подарком! =)<br/>";
}
if (($usid==$id)&&($sex=="Ж")&&($level<9)){
echo $divide;
echo "<b>".$us."</b>, с днем рождения, солнышко, оставайся всегда такой же красивой и...будь счастлива!<br/>";
}
if (($usid==$id)&&($sex=="М")&&($level<9)){
echo $divide;
echo "<b>".$us."</b>, с днем рождения,желаю тебя,чтобы х** стоял и бабы были! =) Сильно не напивайся!!!<br/>";
}
if (($datep=="24.12")||($datep=="25.12")||($datep=="26.12")||($datep=="27.12")||($datep=="28.12")||($datep=="29.12")||($datep=="30.12")){
echo $divide;
echo "<img src=\"smilean/dms.gif\" alt=\"Newyear\"/><br/>";
echo "До Нового Года осталось <b>".$rusKon." Дн. </b><br/>";
}
if ($datep=="31.12"){
echo $divide;
echo "С Новым годом!<br/>";
}
if ($datep=="01.01"){
echo $divide;
echo "С Новым годом!<br/>";
}
if ($datep=="07.01"){
echo $divide;
echo "С Рождеством Христовым!<br/>";
}
if ($datep=="19.01"){
echo $divide;
echo "С Крещением Христовым!<br/>";
}
if (($datep=="14.02")&&($row["sex"]=="Ж")){
echo $divide;
echo "<b>".$us."</b>, не забудь поздравить своего любимого, сегодня ДЕНЬ СВЯТОГО ВАЛЕНТИНА!<br/>";
}
if (($datep=="14.02")&&($row["sex"]=="М")){
echo $divide;
echo "<b>".$us."</b>, не забудь поздравить свою любимую, сегодня ДЕНЬ СВЯТОГО ВАЛЕНТИНА!<br/>";
}
if (($datep=="23.02")&&($row["sex"]=="M")){
echo $divide;
echo "<b>".$us."</b>, сегодня твой праздник, ДЕНЬ ЗАЩИТНИКА ОТЕЧЕСТВА!<br/>";
}
if (($datep=="23.02")&&($row["sex"]=="Ж")){
echo $divide;
echo "<b>".$us."</b>, Не забудь поздравить своего парня, и всех друзей, ведь сегодня ДЕНЬ ЗАЩИТНИКА ОТЕЧЕСТВА!<br/>";
}
if (($datep=="08.03")&&($row["sex"]=="Ж")){
echo $divide;
echo "<b>".$us."</b>, сегодня твой праздник, 8 марта!Поздравляю,солнышко!<br/>";
}
if (($datep=="08.03")&&($row["sex"]=="М")){
echo $divide;
echo "<b>".$us."</b>, сегодня 8 марта...Чего тут сидишь? Беги поздравляй любимую! =)<br/>";
}
if ($datep=="01.04"){
echo $divide;
echo "С 1 апреля ... Три раза подумайте,прежде чем кому то верить! =)<br/>";
}
if ($datep=="01.05"){
echo $divide;
echo "1 мая, день солидарности трудящихся...будьте солидарны друг к другу, и трудитесь! =)<br/>";
}
if ($datep=="09.05"){
echo $divide;
echo "С Великим праздником Великой победы!<br/>";
}
if ($datep=="01.06"){
echo $divide;
echo "Сегодня Международный день защиты детей...не обижайте детишек в чате! =)!<br/>";
}
if ($datep=="01.09"){
echo $divide;
echo "1 сентября...Ученье-свет, а неученье-чуть свет и на работу! =)<br/>";
}
?>